.map {
  width: 100%;
  height: 60vh;
  margin: auto;
  margin-top: 80px;
}

.contact_info {
  margin-top: 50px;
  display: flex;
  max-width: 100%;
  margin-bottom: 20vh;
  justify-content: space-around;
}

.right_col {
  max-width: 40%;
  background-color: rgb(240, 240, 240);
  padding: 50px;
  border-radius: 5px;
}
.right_col input,
.right_col textarea {
  width: 100%;
  padding: 1rem;
  margin-bottom: 1.1rem;
  outline: none;
  border: none;
  border-radius: 5px;
}
.submit_btn {
  padding: 0.7rem 1rem;
  border-radius: 5%;
  color: #fff;
  background-color: rgb(42, 77, 148);
  font-size: 1rem;
  font-weight: 600;
  outline: none;
  cursor: pointer;
  transition: opacity 0.5s;
  border: none;
}
.submit_btn:hover {
  opacity: 0.7;
}

.submit_btn img {
  float: right;
  margin-left: 5px;
}

.input_text:focus {
  border: 2px solid rgb(42, 77, 148);
}

footer {
  display: flex;
  max-width: 100%;
  min-height: 20vh;
  align-items: center;
  justify-content: space-around;
  background: linear-gradient(45deg, rgb(27, 48, 92), rgba(60, 109, 179, 1));
  box-shadow: 0 0 10px rgb(33, 25, 102);
}

@media (max-width: 1354px) {
  .right_col {
    max-width: 70%;
  }
}

@media (max-width: 1200px) {
  .right_col {
    max-width: 90%;
  }
}

@media (max-width: 438px) {
  footer {
    flex-direction: column;
  }
}

.footer-right {
  height: 100%;
}

.footer-right p {
  color: #fff;
}

.footer-left img {
  width: 200px;
}

@media (max-width: 438px) {
  .footer-left img {
    margin: 10px 0 10px 0;
    width: 150px;
  }
}

.rights {
  background-color: rgb(44, 62, 82);
  text-align: center;
}

.rights p {
  color: #fff;
}

#myBtn {
  display: none;
  position: fixed;
  bottom: 20px;
  right: 30px;
  z-index: 99;
  font-size: 18px;
  border: none;
  outline: none;
  background-color: rgb(27, 48, 92);
  color: white;
  cursor: pointer;
  padding: 15px;
  border-radius: 4px;
  transition: transform 0.5s, box-shadow 0.5s;
}

#myBtn:hover {
  transform: scale(1.03);
  box-shadow: 0 0 10px rgba(33, 25, 102, 0.3);
}
